/*$http({
  method: 'GET',
  url: 'http://greenvelvet.alwaysdata.net/kwick/api/ping'
}).then(function successCallback(response) {
    console.log(response);
  }, function errorCallback(response) {
    // called asynchronously if an error occurs
    // or server returns response with an error status.
  });
*/

var app = angular.module('appKwick', ['ngRoute']);

var monUser = {};

app.config(function($sceDelegateProvider,$routeProvider,$locationProvider){
	$sceDelegateProvider.resourceUrlWhitelist(['http://greenvelvet.alwaysdata.net/kwick/api/**', 'self']);

  $routeProvider
    .when('/', {templateUrl: 'templates/home.html'})
    .when('/signin', { templateUrl: 'templates/signin.html'})
    .when('/signup', { templateUrl: 'templates/signup.html'})
    .when('/logged', { templateUrl: 'templates/logged.html'})
    .otherwise({redirectTo: '/'});
});

app.controller("ctrlPrincipal",function($http,$rootScope) {
 
	var login = 'dev14';
	var mdp = 'lol';
  $rootScope.user = monUser;
  $rootScope.message = "toto";
});

/*
app.controller("storeUserController",function(){
  this.storeUser = monUser;
});
*/

app.controller("registerController", function($http,$location,$rootScope,$window){
  $rootScope.user.registred = false;
  $rootScope.user.logged = false;
  $rootScope.message = "";
  this.message = "toto";
  console.log("je suis ds mon registerCtrl");
  console.log($rootScope.user);
  console.log(this.message);
  //$location.$$path="/logged";
  //$window.location.href = "/logged";

  console.log("$location "+$location);
  console.log($window.location);
  
  this.submit = function(paramUser){
    console.log("je suis ds fct "+paramUser);
    
    $rootScope.user.name = paramUser.name;
    $rootScope.user.email = paramUser.email;
    $rootScope.user.password = paramUser.password; 
    console.log("test1 "+$rootScope.user.name);
    
    if( ($rootScope.user.name != "") && ($rootScope.user.name != 'undefine') && ($rootScope.user.password != "") && ($rootScope.user.password != 'undefine')){
      var request = 'http://greenvelvet.alwaysdata.net/kwick/api/signup/'+$rootScope.user.name+'/'+$rootScope.user.password;
      
      var temp1 = this.requestToApi(request);
      console.log(temp1);
      if(temp1){
        //console.log("redirige vers logged")
        //$location.path('/logged');
        this.message = "Vous avez bien été enregistrer"
      };

    }else{
      this.message = "Vous n'avez pas bien été enregistrer"
    }
  };

  this.requestToApi = function(request){
    console.log("fct test request api");
    $http.jsonp(request).then(function (response) {
      console.log("test requete signup");
      //console.log(request);
      console.log(response.data);
      /*console.log("id :"+response.data.result.id);
      console.log("token :"+response.data.result.token);
      */
      $rootScope.user.userId = response.data.result.id;
      $rootScope.user.userToken = response.data.result.token;
      $rootScope.user.status = response.data.result.status;
      //console.log($rootScope.user.status);
    });
    return true
    
  };

  this.redirectTo = function(){
    console.log("fct de redirection");
    $location.$$path="/logged";
  }
  
  

});

app.controller("loginController", function($http,$location){
  
  console.log("ctrl login");
  console.log(this.user);

  this.submit = function(){
    console.log("action sublit");
   
    console.log(window.location);
    console.log(window.location.pathname);
    console.log(window.location.origin);
    console.log(window.location.href);
    //window.location.href = window.location.origin+window.location.pathname+"/logged"
  
    $location.path('/logged');
  };
});


app.controller("loggedController", function($http){
  
  console.log("ctrl logged");
  console.log(this.user);

  this.submit = function(){
    console.log("action sublit");
   
    //window.location.href = window.location.origin+window.location.pathname+"/logged"
  };
});
