var app = angular.module('appKwick', ['ngRoute']);

var monUser = {};

app.config(function($sceDelegateProvider,$routeProvider,$locationProvider){
  $sceDelegateProvider.resourceUrlWhitelist(['http://greenvelvet.alwaysdata.net/kwick/api/**', 'self']);

  $routeProvider
    .when('/', {templateUrl: 'templates/home.html'})
    .when('/signin', { templateUrl: 'templates/signin.html'})
    .when('/signup', { templateUrl: 'templates/signup.html'})
    .when('/logged', { templateUrl: 'templates/logged.html'})
    .otherwise({redirectTo: '/'});
});

app.controller("ctrlPrincipal",function($http,$rootScope) {
 
  var login = 'dev14';
  var mdp = 'lol';
  $rootScope.user = monUser;
  $rootScope.message = "";
});

/*
app.controller("storeUserController",function(){
  this.storeUser = monUser;
});
*/

app.controller("registerController", function($http,$location,$rootScope,$window,$q){
  $rootScope.user.registred = false;
  $rootScope.user.logged = false;
  $rootScope.message = "";

  console.log("je suis ds mon registerCtrl");
  console.log($rootScope.user);
  console.log(this.message);
  //$location.$$path="/logged";
  //$window.location.href = "/logged";

  console.log("$location "+$location);
  console.log($window.location);
  
  this.submit = function(paramUser){
    console.log("je suis ds fct "+paramUser);
    
    $rootScope.user.name = paramUser.name;
    $rootScope.user.email = paramUser.email;
    $rootScope.user.password = paramUser.password; 
    console.log("test1 "+$rootScope.user.name);
    
    if( ($rootScope.user.name != "") && ($rootScope.user.name != 'undefine') && ($rootScope.user.password != "") && ($rootScope.user.password != 'undefine')){
      var request = 'http://greenvelvet.alwaysdata.net/kwick/api/signup/'+$rootScope.user.name+'/'+$rootScope.user.password;
      
      var temp1 = this.requestToApi(request);
      console.log(temp1);
      if(temp1){
        //console.log("redirige vers logged")
        //$location.path('/logged');
        this.message = "Vous avez bien été enregistrer"
      };

    }else{
      this.message = "Vous n'avez pas bien été enregistrer"
    }
  };

  this.requestToApi = function(request){
    console.log("fct test request api");
    this.hide = false;

    var deferred = $q.defer();

    $http.jsonp(request).
    then(function (response) {
      console.log("test requete signup");
      console.log(response.data);
      
      $rootScope.user.userId = response.data.result.id;
      $rootScope.user.userToken = response.data.result.token;
      $rootScope.user.status = response.data.result.status;
     
      deferred.resolve(response);
      console.log('JSONP SUCCESS!');
      this.hide = true;

    }, function(response) {
      //your code when fails
      console.log('JSONP ERROR!');
      deferred.reject(response);
    });
    $location.$$path="/logged";
    return deferred.promise;
    
  };

  this.redirectTo = function(paramUrl){
    console.log("fct de redirection");
    $location.$$path="/logged";
  }
  
  

});

app.controller("loginController", function($http,$location,$rootScope,$window,$q){
  console.log($rootScope.user.name);
  console.log($rootScope.user.password);
  console.log($rootScope.user.userId);
  console.log($rootScope.user.userToken);

  
  
  console.log("ctrl login");


  this.submit = function(userConnect){
    console.log("action submit pour se logger");
    var request = 'http://greenvelvet.alwaysdata.net/kwick/api/login/'+$rootScope.user.name+'/'+$rootScope.user.password;
    //window.location.href = window.location.origin+window.location.pathname+"/logged"
    console.log($rootScope.user.name);
    this.requestConnectToApi(request);
    $location.path('/logged');
  };

  this.requestConnectToApi = function(request){
    var request2 = 'http://greenvelvet.alwaysdata.net/kwick/api/user/logged/'+$rootScope.user.token;
    console.log("fct test loggin api");
    console.log(request);
    this.hide = false;

    var deferred = $q.defer();
    console.log()
    $http.jsonp(request).
    then(function (response) {
      console.log("test requete pour se logger");
      console.log(response.data);
      /*
      $rootScope.user.userId = response.data.result.id;
      $rootScope.user.userToken = response.data.result.token;
      $rootScope.user.status = response.data.result.status;
      */
      deferred.resolve(response);
      console.log('JSONP SUCCESS!');
      this.hide = true;

      

    }, function(response) {
      //your code when fails
      console.log('JSONP ERROR!');
      deferred.reject(response);
    });


    $http.jsonp(request2).
    then(function (response) {
      console.log("test requete suis logger");
      console.log(response.data);
      /*
      $rootScope.user.userId = response.data.result.id;
      $rootScope.user.userToken = response.data.result.token;
      $rootScope.user.status = response.data.result.status;
      */
      deferred.resolve(response);
      console.log('JSONP SUCCESS!');
      this.hide = true;


    }, function(response) {
      //your code when fails
      console.log('JSONP ERROR!');
      deferred.reject(response);
    });
    
  };

  this.logged = function(){

  }
});


app.controller("loggedController", function($http,$location,$rootScope,$window,$q){
  
  console.log("ctrl logged");
  console.log(this.user);

  this.submit = function(){
    console.log("action sublit");
   
    //window.location.href = window.location.origin+window.location.pathname+"/logged"
  };

  this.disconnect = function(){
    console.log("method logout");
    var requestDisconnect ="http://greenvelvet.alwaysdata.net/kwick/logout/"+$rootScope.user.token+"/"+$rootScope.user.id;
    var deferred = $q.defer();

    $http.jsonp(requestDisconnect).
    
    then(function (response) {
      console.log("test requete pour se deconnecter");
      console.log(response.data);
      /*
      $rootScope.user.userId = response.data.result.id;
      $rootScope.user.userToken = response.data.result.token;
      $rootScope.user.status = response.data.result.status;
      */
      deferred.resolve(response);
      console.log('JSONP SUCCESS!');
      this.hide = true;

      

    }, function(response) {
      //your code when fails
      console.log('JSONP ERROR!');
      deferred.reject(response);
    });

  }
});